#!/bin/bash

# défini les variables
dossier="$HOME/backupdb"
jour=$(date +%u)
dbname="ap24medicaments"

# vérifie si le répertoire existe
if [ ! -d $dossier ]; then
 mkdir "$HOME/backupdb"
fi

# se connecte au serv en ssh et sauvegarde la base de données compressée
ssh root@ap24 "mysqldump -u admin -padmin  ap24medicaments | gzip" > $dossier/backup_${dbname}_$jour.sql.gz

# renomme la dernière sauvegarde en latest
cp $dossier/backup_${dbname}_$jour.sql.gz $dossier/backup_${dbname}_latest.sql.gz
